## rabbitmq-server 3.6.6

=== Makefile ===
PROJECT = rabbitmq_server_release
VERSION ?= 0.0.0

# Release artifacts are put in $(PACKAGES_DIR).
PACKAGES_DIR ?= $(abspath PACKAGES)

DEPS = rabbit_common rabbit $(PLUGINS)

# List of plugins to include in a RabbitMQ release.
PLUGINS := rabbitmq_amqp1_0 \
	   rabbitmq_auth_backend_ldap \
	   rabbitmq_auth_mechanism_ssl \
	   rabbitmq_consistent_hash_exchange \
	   rabbitmq_event_exchange \
	   rabbitmq_federation \
	   rabbitmq_federation_management \
	   rabbitmq_jms_topic_exchange \
	   rabbitmq_management \
	   rabbitmq_management_agent \
	   rabbitmq_management_visualiser \
	   rabbitmq_mqtt \
	   rabbitmq_recent_history_exchange \
	   rabbitmq_sharding \
	   rabbitmq_shovel \
	   rabbitmq_shovel_management \
	   rabbitmq_stomp \
	   rabbitmq_top \
	   rabbitmq_tracing \
	   rabbitmq_trust_store \
	   rabbitmq_web_dispatch \
	   rabbitmq_web_stomp \
	   rabbitmq_web_stomp_examples

DEP_PLUGINS = rabbit_common/mk/rabbitmq-run.mk \
	      rabbit_common/mk/rabbitmq-dist.mk \
	      rabbit_common/mk/rabbitmq-tools.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

# --------------------------------------------------------------------
# Distribution.
# --------------------------------------------------------------------

.PHONY: source-dist clean-source-dist

SOURCE_DIST_BASE ?= rabbitmq-server
SOURCE_DIST_SUFFIXES ?= tar.xz zip
SOURCE_DIST ?= $(PACKAGES_DIR)/$(SOURCE_DIST_BASE)-$(VERSION)

# The first source distribution file is used by packages: if the archive
# type changes, you must update all packages' Makefile.
SOURCE_DIST_FILES = $(addprefix $(SOURCE_DIST).,$(SOURCE_DIST_SUFFIXES))

.PHONY: $(SOURCE_DIST_FILES)

source-dist: $(SOURCE_DIST_FILES)
	@:

RSYNC ?= rsync
RSYNC_V_0 =
RSYNC_V_1 = -v
RSYNC_V_2 = -v
RSYNC_V = $(RSYNC_V_$(V))
RSYNC_FLAGS += -a $(RSYNC_V)		\
	       --exclude '.sw?' --exclude '.*.sw?'	\
	       --exclude '*.beam'			\
	       --exclude '*.d'				\
	       --exclude '*.pyc'			\
	       --exclude '.git*'			\
	       --exclude '.hg*'				\
	       --exclude '.travis.yml'			\
	       --exclude '.*.plt'			\
	       --exclude '$(notdir $(ERLANG_MK_TMP))'	\
	       --exclude 'ebin'				\
	       --exclude 'packaging'			\
	       --exclude 'erl_crash.dump'		\
	       --exclude 'MnesiaCore.*'			\
	       --exclude 'cover/'			\
	       --exclude 'deps/'			\
	       --exclude 'ebin/'			\
	       --exclude '$(notdir $(DEPS_DIR))/'	\
	       --exclude 'logs/'			\
	       --exclude 'plugins/'			\
	       --exclude '$(notdir $(DIST_DIR))/'	\
	       --exclude 'test'				\
	       --exclude 'xrefr'			\
	       --exclude '/$(notdir $(PACKAGES_DIR))/'	\
	       --exclude '/PACKAGES/'			\
	       --exclude '/cowboy/doc/'			\
	       --exclude '/cowboy/examples/'		\
	       --exclude '/rabbitmq_amqp1_0/test/swiftmq/build/'\
	       --exclude '/rabbitmq_amqp1_0/test/swiftmq/swiftmq*'\
	       --exclude '/rabbitmq_mqtt/test/build/'	\
	       --exclude '/rabbitmq_mqtt/test/test_client/'\
	       --delete					\
	       --delete-excluded

TAR ?= tar
TAR_V_0 =
TAR_V_1 = -v
TAR_V_2 = -v
TAR_V = $(TAR_V_$(V))

GZIP ?= gzip
BZIP2 ?= bzip2
XZ ?= xz

ZIP ?= zip
ZIP_V_0 = -q
ZIP_V_1 =
ZIP_V_2 =
ZIP_V = $(ZIP_V_$(V))

.PHONY: $(SOURCE_DIST)
.PHONY: clean-source-dist distclean-packages clean-unpacked-source-dist

$(SOURCE_DIST): $(ERLANG_MK_RECURSIVE_DEPS_LIST)
	$(verbose) mkdir -p $(dir $@)
	$(gen_verbose) $(RSYNC) $(RSYNC_FLAGS) ./ $@/
	$(verbose) echo "$(PROJECT) $$(git rev-parse HEAD) $$(git describe --tags --exact-match 2>/dev/null || git symbolic-ref -q --short HEAD)" > $@/git-revisions.txt
	$(verbose) cat packaging/common/LICENSE.head > $@/LICENSE
	$(verbose) mkdir -p $@/deps/licensing
	$(verbose) for dep in $$(cat $(ERLANG_MK_RECURSIVE_DEPS_LIST) | LC_COLLATE=C sort); do \
		$(RSYNC) $(RSYNC_FLAGS) \
		 $$dep \
		 $@/deps; \
		if test -f $@/deps/$$(basename $$dep)/erlang.mk && \
		   test "$$(wc -l $@/deps/$$(basename $$dep)/erlang.mk | awk '{print $$1;}')" = "1" && \
		   grep -qs -E "^[[:blank:]]*include[[:blank:]]+(erlang\.mk|.*/erlang\.mk)$$" $@/deps/$$(basename $$dep)/erlang.mk; then \
			echo "include ../../erlang.mk" > $@/deps/$$(basename $$dep)/erlang.mk; \
		fi; \
		sed -E -i.bak "s|^[[:blank:]]*include[[:blank:]]+\.\./.*erlang.mk$$|include ../../erlang.mk|" \
		 $@/deps/$$(basename $$dep)/Makefile && \
		rm $@/deps/$$(basename $$dep)/Makefile.bak; \
		if test -f "$$dep/license_info"; then \
			cp "$$dep/license_info" "$@/deps/licensing/license_info_$$(basename "$$dep")"; \
			cat "$$dep/license_info" >> $@/LICENSE; \
		fi; \
		find "$$dep" -maxdepth 1 -name 'LICENSE-*' -exec cp '{}' $@/deps/licensing \; ; \
		(cd $$dep; echo "$$(basename "$$dep") $$(git rev-parse HEAD) $$(git describe --tags --exact-match 2>/dev/null || git symbolic-ref -q --short HEAD)") >> $@/git-revisions.txt; \
	done
	$(verbose) cat packaging/common/LICENSE.tail >> $@/LICENSE
	$(verbose) find $@/deps/licensing -name 'LICENSE-*' -exec cp '{}' $@ \;
	$(verbose) for file in $$(find $@ -name '*.app.src'); do \
		sed -E -i.bak -e 's/[{]vsn[[:blank:]]*,[[:blank:]]*(""|"0.0.0")[[:blank:]]*}/{vsn, "$(VERSION)"}/' $$file; \
		rm $$file.bak; \
	done

# TODO: Fix file timestamps to have reproducible source archives.
# $(verbose) find $@ -not -name 'git-revisions.txt' -print0 | xargs -0 touch -r $@/git-revisions.txt

$(SOURCE_DIST).tar.gz: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(GZIP) --best > $@

$(SOURCE_DIST).tar.bz2: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(BZIP2) > $@

$(SOURCE_DIST).tar.xz: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(XZ) > $@

$(SOURCE_DIST).zip: $(SOURCE_DIST)
	$(verbose) rm -f $@
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(ZIP) $(ZIP_V) $@

clean:: clean-source-dist clean-upgrade

clean-upgrade:
	cd upgrade && make clean

clean-source-dist:
	$(gen_verbose) rm -rf -- $(SOURCE_DIST_BASE)-*

distclean:: distclean-packages distclean-upgrade

distclean-upgrade:
	cd upgrade && make distclean

distclean-packages:
	$(gen_verbose) rm -rf -- $(PACKAGES_DIR)

clean-unpacked-source-dist:
	for d in deps/*; do \
		if test -f $$d/Makefile; then \
			make -C $$d clean || exit $$?; \
		fi; \
	done

# --------------------------------------------------------------------
# Packaging.
# --------------------------------------------------------------------

.PHONY: packages package-deb \
	package-rpm package-rpm-fedora package-rpm-suse \
	package-windows package-standalone-macosx \
	package-generic-unix

# This variable is exported so sub-make instances know where to find the
# archive.
PACKAGES_SOURCE_DIST_FILE ?= $(firstword $(SOURCE_DIST_FILES))

packages package-deb package-rpm package-rpm-fedora \
package-rpm-suse package-windows package-standalone-macosx \
package-generic-unix: $(PACKAGES_SOURCE_DIST_FILE)
	$(verbose) $(MAKE) -C packaging $@ \
		SOURCE_DIST_FILE=$(abspath $(PACKAGES_SOURCE_DIST_FILE))

# --------------------------------------------------------------------
# Installation.
# --------------------------------------------------------------------

.PHONY: manpages web-manpages distclean-manpages

manpages web-manpages distclean-manpages:
	$(MAKE) -C $(DEPS_DIR)/rabbit $@ DEPS_DIR=$(DEPS_DIR)

.PHONY: install install-erlapp install-scripts install-bin install-man \
	install-windows install-windows-erlapp install-windows-scripts \
	install-windows-docs

DESTDIR ?=

PREFIX ?= /usr/local
WINDOWS_PREFIX ?= rabbitmq-server-windows-$(VERSION)

MANDIR ?= $(PREFIX)/share/man
RMQ_ROOTDIR ?= $(PREFIX)/lib/erlang
RMQ_BINDIR ?= $(RMQ_ROOTDIR)/bin
RMQ_LIBDIR ?= $(RMQ_ROOTDIR)/lib
RMQ_ERLAPP_DIR ?= $(RMQ_LIBDIR)/rabbitmq_server-$(VERSION)

SCRIPTS = rabbitmq-defaults \
	  rabbitmq-env \
	  rabbitmq-server \
	  rabbitmqctl \
	  rabbitmq-plugins

WINDOWS_SCRIPTS = rabbitmq-defaults.bat \
		  rabbitmq-echopid.bat \
		  rabbitmq-env.bat \
		  rabbitmq-plugins.bat \
		  rabbitmq-server.bat \
		  rabbitmq-service.bat \
		  rabbitmqctl.bat

UNIX_TO_DOS ?= todos

inst_verbose_0 = @echo " INST  " $@;
inst_verbose = $(inst_verbose_$(V))

install: install-erlapp install-scripts

install-erlapp: dist
	$(verbose) mkdir -p $(DESTDIR)$(RMQ_ERLAPP_DIR)
	$(inst_verbose) cp -r \
		LICENSE* \
		$(DEPS_DIR)/rabbit/ebin \
		$(DEPS_DIR)/rabbit/INSTALL \
		$(DIST_DIR) \
		$(DESTDIR)$(RMQ_ERLAPP_DIR)
	$(verbose) echo "Put your EZs here and use rabbitmq-plugins to enable them." \
		> $(DESTDIR)$(RMQ_ERLAPP_DIR)/$(notdir $(DIST_DIR))/README

	@# FIXME: Why do we copy headers?
	$(verbose) cp -r \
		$(DEPS_DIR)/rabbit/include \
		$(DESTDIR)$(RMQ_ERLAPP_DIR)
	@# rabbitmq-common provides headers too: copy them to
	@# rabbitmq_server/include.
	$(verbose) cp -r \
		$(DEPS_DIR)/rabbit_common/include \
		$(DESTDIR)$(RMQ_ERLAPP_DIR)

install-scripts:
	$(verbose) mkdir -p $(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin
	$(inst_verbose) for script in $(SCRIPTS); do \
		cp "$(DEPS_DIR)/rabbit/scripts/$$script" \
			"$(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin"; \
		chmod 0755 "$(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin/$$script"; \
	done

# FIXME: We do symlinks to scripts in $(RMQ_ERLAPP_DIR))/sbin but this
# code assumes a certain hierarchy to make relative symlinks.
install-bin: install-scripts
	$(verbose) mkdir -p $(DESTDIR)$(RMQ_BINDIR)
	$(inst_verbose) for script in $(SCRIPTS); do \
		test -e $(DESTDIR)$(RMQ_BINDIR)/$$script || \
			ln -sf ../lib/$(notdir $(RMQ_ERLAPP_DIR))/sbin/$$script \
			 $(DESTDIR)$(RMQ_BINDIR)/$$script; \
	done

install-man: manpages
	$(inst_verbose) sections=$$(ls -1 $(DEPS_DIR)/rabbit/docs/*.[1-9] \
		| sed -E 's/.*\.([1-9])$$/\1/' | uniq | sort); \
	for section in $$sections; do \
		mkdir -p $(DESTDIR)$(MANDIR)/man$$section; \
		for manpage in $(DEPS_DIR)/rabbit/docs/*.$$section; do \
			gzip < $$manpage \
			 > $(DESTDIR)$(MANDIR)/man$$section/$$(basename $$manpage).gz; \
		done; \
	done

install-windows: install-windows-erlapp install-windows-scripts install-windows-docs

install-windows-erlapp: dist
	$(verbose) mkdir -p $(DESTDIR)$(WINDOWS_PREFIX)
	$(inst_verbose) cp -r \
		LICENSE* \
		$(DEPS_DIR)/rabbit/ebin \
		$(DEPS_DIR)/rabbit/INSTALL \
		$(DIST_DIR) \
		$(DESTDIR)$(WINDOWS_PREFIX)
	$(verbose) echo "Put your EZs here and use rabbitmq-plugins.bat to enable them." \
		> $(DESTDIR)$(WINDOWS_PREFIX)/$(notdir $(DIST_DIR))/README.txt
	$(verbose) $(UNIX_TO_DOS) $(DESTDIR)$(WINDOWS_PREFIX)/plugins/README.txt

	@# FIXME: Why do we copy headers?
	$(verbose) cp -r \
		$(DEPS_DIR)/rabbit/include \
		$(DESTDIR)$(WINDOWS_PREFIX)
	@# rabbitmq-common provides headers too: copy them to
	@# rabbitmq_server/include.
	$(verbose) cp -r \
		$(DEPS_DIR)/rabbit_common/include \
		$(DESTDIR)$(WINDOWS_PREFIX)

install-windows-scripts:
	$(verbose) mkdir -p $(DESTDIR)$(WINDOWS_PREFIX)/sbin
	$(inst_verbose) for script in $(WINDOWS_SCRIPTS); do \
		cp "$(DEPS_DIR)/rabbit/scripts/$$script" \
			"$(DESTDIR)$(WINDOWS_PREFIX)/sbin"; \
		chmod 0755 "$(DESTDIR)$(WINDOWS_PREFIX)/sbin/$$script"; \
	done

install-windows-docs: install-windows-erlapp
	$(verbose) mkdir -p $(DESTDIR)$(WINDOWS_PREFIX)/etc
	$(inst_verbose) xmlto -o . xhtml-nochunks \
		$(DEPS_DIR)/rabbit/docs/rabbitmq-service.xml
	$(verbose) elinks -dump -no-references -no-numbering \
		rabbitmq-service.html \
		> $(DESTDIR)$(WINDOWS_PREFIX)/readme-service.txt
	$(verbose) rm rabbitmq-service.html
	$(verbose) cp $(DEPS_DIR)/rabbit/docs/rabbitmq.config.example \
		$(DESTDIR)$(WINDOWS_PREFIX)/etc

=== upgrade/Makefile ===

UPGRADE_FROM = 3.6.5

# UPGRADE_FROM_SCRIPT specifies a script name to use.
# it should not be changed for every UPGRADE_FROM version
UPGRADE_FROM_SCRIPT = 3.5
UPGRADE_TO_SCRIPT = 3.6

RELEASE_FOR_UPGRADE = $(CURDIR)/rabbitmq_r_$(UPGRADE_FROM)
RELEASE_ARCHIVE = rabbitmq-server-generic-unix-$(UPGRADE_FROM).tar.xz
RELEASE_FOR_UPGRADE_URL = "http://www.rabbitmq.com/releases/rabbitmq-server/v$(UPGRADE_FROM)/$(RELEASE_ARCHIVE)"
RELEASE_UPGRADE_DATA = $(CURDIR)/rabbitmq_server_upgrade_data/rabbitmq-test-instances
UPGRADE_CONFIG_DIR = $(CURDIR)/config
UPGRADE_SCRIPTS_DIR = $(CURDIR)/scripts

QUEUES_COUNT_TRANSIENT ?= 1
QUEUES_COUNT_DURABLE ?= 1
MSGS_COUNT_NON_PERSISTENT ?= 10
MSGS_COUNT_PERSISTENT_INDEX ?= 10
MSGS_COUNT_PERSISTENT_STORE ?= 10
INDEX_MSG_SIZE ?= 50
STORE_MSG_SIZE ?= 150

# Clean up erlang.mk exported variables
ifneq (0,${MAKELEVEL})
export ERL_LIBS=
export RABBITMQ_SCRIPTS_DIR=
endif

all: verify-and-cleanup

$(RELEASE_ARCHIVE):
	wget $(RELEASE_FOR_UPGRADE_URL) -O $(RELEASE_ARCHIVE)

$(RELEASE_FOR_UPGRADE): $(RELEASE_ARCHIVE)
	mkdir $(RELEASE_FOR_UPGRADE)
	tar -xvf $(RELEASE_ARCHIVE)
	mv rabbitmq_server-*/* $(RELEASE_FOR_UPGRADE)

run-release-for-upgrade: $(RELEASE_FOR_UPGRADE)
	rm -rf $(RELEASE_UPGRADE_DATA)
	mkdir -p $(RELEASE_UPGRADE_DATA)
	cd $(RELEASE_FOR_UPGRADE) && \
	RABBITMQ_HOME=$(RELEASE_FOR_UPGRADE) \
	RABBITMQ_CONFIG_FILE=$(UPGRADE_CONFIG_DIR)/rabbitmq \
	RABBITMQ_NODENAME=rabbit_upgrade \
	RABBITMQ_ENABLED_PLUGINS_FILE=$(UPGRADE_CONFIG_DIR)/enabled_plugins \
	RABBITMQ_LOG_BASE=$(RELEASE_UPGRADE_DATA)/rabbit_upgrade/log \
	RABBITMQ_MNESIA_BASE=$(RELEASE_UPGRADE_DATA)/rabbit_upgrade/mnesia \
	RABBITMQ_MNESIA_DIR=$(RELEASE_UPGRADE_DATA)/rabbit_upgrade/mnesia/rabbit_upgrade \
	RABBITMQ_SCHEMA_DIR=$(RELEASE_UPGRADE_DATA)/rabbit_upgrade/schema \
	RABBITMQ_PLUGINS_EXPAND_DIR=$(RELEASE_UPGRADE_DATA)/rabbit_upgrade/plugins \
	RABBITMQ_PLUGINS_DIR=$(RELEASE_FOR_UPGRADE)/plugins \
	./sbin/rabbitmq-server -detached
	sleep 10

stop-release-for-upgrade:
	cd $(RELEASE_FOR_UPGRADE) && \
	RABBITMQ_HOME=$(RELEASE_FOR_UPGRADE) \
	./sbin/rabbitmqctl -n rabbit_upgrade stop

setup-release-for-upgrade: run-release-for-upgrade
	RABBITMQCTL="$(RELEASE_FOR_UPGRADE)/sbin/rabbitmqctl -n rabbit_upgrade" \
	UPGRADE_FROM_SCRIPT=$(UPGRADE_FROM_SCRIPT) \
	QUEUES_COUNT_TRANSIENT=$(QUEUES_COUNT_TRANSIENT) \
	QUEUES_COUNT_DURABLE=$(QUEUES_COUNT_DURABLE) \
	MSGS_COUNT_NON_PERSISTENT=$(MSGS_COUNT_NON_PERSISTENT) \
	MSGS_COUNT_PERSISTENT_INDEX=$(MSGS_COUNT_PERSISTENT_INDEX) \
	MSGS_COUNT_PERSISTENT_STORE=$(MSGS_COUNT_PERSISTENT_STORE) \
	INDEX_MSG_SIZE=$(INDEX_MSG_SIZE) \
	STORE_MSG_SIZE=$(STORE_MSG_SIZE) \
	bash $(UPGRADE_SCRIPTS_DIR)/upgrade-from.sh

prepare-release-for-upgrade: setup-release-for-upgrade stop-release-for-upgrade

run-broker-upgrade:
	$(MAKE) -C ../ run-background-broker \
	RABBITMQ_CONFIG_FILE=$(UPGRADE_CONFIG_DIR)/rabbitmq \
	RABBITMQ_NODENAME=rabbit_upgrade \
	TMPDIR=`dirname $(RELEASE_UPGRADE_DATA)` \
	PLUGINS=rabbitmq_management
	sleep 10

verify-upgrade: prepare-release-for-upgrade run-broker-upgrade
	RABBITMQCTL="$(RELEASE_FOR_UPGRADE)/sbin/rabbitmqctl -n rabbit_upgrade" \
	UPGRADE_TO_SCRIPT=$(UPGRADE_TO_SCRIPT) \
	QUEUES_COUNT_TRANSIENT=$(QUEUES_COUNT_TRANSIENT) \
	QUEUES_COUNT_DURABLE=$(QUEUES_COUNT_DURABLE) \
	MSGS_COUNT_NON_PERSISTENT=$(MSGS_COUNT_NON_PERSISTENT) \
	MSGS_COUNT_PERSISTENT_INDEX=$(MSGS_COUNT_PERSISTENT_INDEX) \
	MSGS_COUNT_PERSISTENT_STORE=$(MSGS_COUNT_PERSISTENT_STORE) \
	INDEX_MSG_SIZE=$(INDEX_MSG_SIZE) \
	STORE_MSG_SIZE=$(STORE_MSG_SIZE) \
	$(UPGRADE_SCRIPTS_DIR)/upgrade-to.sh

verify-and-stop: verify-upgrade
	-$(MAKE) stop-release-for-upgrade

verify-and-cleanup: verify-and-stop
	$(MAKE) clean

clean: 
	-$(MAKE) stop-release-for-upgrade
	rm -rf rabbitmq_server*
	rm -rf rabbitmq_r*
	rm -rf rabbitmqadmin

distclean: clean
	rm -rf rabbitmq-server-generic-unix-*

=== deps/amqp_client/Makefile ===
PROJECT = amqp_client
VERSION ?= $(call get_app_version,src/$(PROJECT).app.src)
ifeq ($(VERSION),)
VERSION = 0.0.0
endif

# Release artifacts are put in $(PACKAGES_DIR).
PACKAGES_DIR ?= $(abspath PACKAGES)

DEPS = rabbit_common
TEST_DEPS = rabbitmq_ct_helpers rabbit

DEP_PLUGINS = rabbit_common/mk/rabbitmq-build.mk \
	      rabbit_common/mk/rabbitmq-dist.mk \
	      rabbit_common/mk/rabbitmq-run.mk \
	      rabbit_common/mk/rabbitmq-tools.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

# --------------------------------------------------------------------
# Distribution.
# --------------------------------------------------------------------

.PHONY: distribution

distribution: docs source-dist package

docs:: edoc
edoc: doc/overview.edoc

doc/overview.edoc: src/overview.edoc.in
	mkdir -p doc
	sed -e 's:%%VERSION%%:$(VERSION):g' < $< > $@

.PHONY: source-dist clean-source-dist

SOURCE_DIST_BASE ?= $(PROJECT)
SOURCE_DIST_SUFFIXES ?= tar.xz zip
SOURCE_DIST ?= $(PACKAGES_DIR)/$(SOURCE_DIST_BASE)-$(VERSION)-src

# The first source distribution file is used by packages: if the archive
# type changes, you must update all packages' Makefile.
SOURCE_DIST_FILES = $(addprefix $(SOURCE_DIST).,$(SOURCE_DIST_SUFFIXES))

.PHONY: $(SOURCE_DIST_FILES)

source-dist: $(SOURCE_DIST_FILES)
	@:

RSYNC ?= rsync
RSYNC_V_0 =
RSYNC_V_1 = -v
RSYNC_V_2 = -v
RSYNC_V = $(RSYNC_V_$(V))
RSYNC_FLAGS += -a $(RSYNC_V)		\
	       --exclude '.sw?' --exclude '.*.sw?'	\
	       --exclude '*.beam'			\
	       --exclude '*.pyc'			\
	       --exclude '.git*'			\
	       --exclude '.hg*'				\
	       --exclude '.travis.yml'			\
	       --exclude '$(notdir $(ERLANG_MK_TMP))'	\
	       --exclude 'ebin'				\
	       --exclude 'erl_crash.dump'		\
	       --exclude 'deps/'			\
	       --exclude '$(notdir $(DEPS_DIR))/'	\
	       --exclude 'doc/'				\
	       --exclude 'plugins/'			\
	       --exclude '$(notdir $(DIST_DIR))/'	\
	       --exclude '/$(notdir $(PACKAGES_DIR))/'	\
	       --delete					\
	       --delete-excluded

TAR ?= tar
TAR_V_0 =
TAR_V_1 = -v
TAR_V_2 = -v
TAR_V = $(TAR_V_$(V))

GZIP ?= gzip
BZIP2 ?= bzip2
XZ ?= xz

ZIP ?= zip
ZIP_V_0 = -q
ZIP_V_1 =
ZIP_V_2 =
ZIP_V = $(ZIP_V_$(V))

.PHONY: $(SOURCE_DIST)

$(SOURCE_DIST): $(ERLANG_MK_RECURSIVE_DEPS_LIST)
	$(verbose) mkdir -p $(dir $@)
	$(gen_verbose) $(RSYNC) $(RSYNC_FLAGS) ./ $@/
	$(verbose) sed -E -i.bak \
		-e 's/[{]vsn[[:blank:]]*,[^}]+}/{vsn, "$(VERSION)"}/' \
		$@/src/$(PROJECT).app.src && \
		rm $@/src/$(PROJECT).app.src.bak
	$(verbose) for dep in $$(cat $(ERLANG_MK_RECURSIVE_DEPS_LIST) | grep -v '/$(PROJECT)$$' | LC_COLLATE=C sort); do \
		$(RSYNC) $(RSYNC_FLAGS) \
		 $$dep \
		 $@/deps; \
		if test -f $@/deps/$$(basename $$dep)/erlang.mk && \
		   test "$$(wc -l $@/deps/$$(basename $$dep)/erlang.mk | awk '{print $$1;}')" = "1" && \
		   grep -qs -E "^[[:blank:]]*include[[:blank:]]+(erlang\.mk|.*/erlang\.mk)$$" $@/deps/$$(basename $$dep)/erlang.mk; then \
			echo "include ../../erlang.mk" > $@/deps/$$(basename $$dep)/erlang.mk; \
		fi; \
		sed -E -i.bak "s|^[[:blank:]]*include[[:blank:]]+\.\./.*erlang.mk$$|include ../../erlang.mk|" \
		 $@/deps/$$(basename $$dep)/Makefile && \
		rm $@/deps/$$(basename $$dep)/Makefile.bak; \
	done
	$(verbose) for file in $$(find $@ -name '*.app.src'); do \
		sed -E -i.bak -e 's/[{]vsn[[:blank:]]*,[[:blank:]]*""[[:blank:]]*}/{vsn, "$(VERSION)"}/' $$file; \
		rm $$file.bak; \
	done
	$(verbose) echo "$(PROJECT) $$(git rev-parse HEAD) $$(git describe --tags --exact-match 2>/dev/null || git symbolic-ref -q --short HEAD)" > $@/git-revisions.txt
	$(verbose) for dep in $$(cat $(ERLANG_MK_RECURSIVE_DEPS_LIST)); do \
		(cd $$dep; echo "$$(basename "$$dep") $$(git rev-parse HEAD) $$(git describe --tags --exact-match 2>/dev/null || git symbolic-ref -q --short HEAD)") >> $@/git-revisions.txt; \
	done
	$(verbose) rm $@/README.in
	$(verbose) cp README.in $@/README
	$(verbose) cat "$(BUILD_DOC)" >> $@/README

# TODO: Fix file timestamps to have reproducible source archives.
# $(verbose) find $@ -not -name 'git-revisions.txt' -print0 | xargs -0 touch -r $@/git-revisions.txt

$(SOURCE_DIST).tar.gz: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(GZIP) --best > $@

$(SOURCE_DIST).tar.bz2: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(BZIP2) > $@

$(SOURCE_DIST).tar.xz: $(SOURCE_DIST)
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(TAR) $(TAR_V) --no-recursion -cf - | \
		$(XZ) > $@

$(SOURCE_DIST).zip: $(SOURCE_DIST)
	$(verbose) rm -f $@
	$(gen_verbose) cd $(dir $(SOURCE_DIST)) && \
		find $(notdir $(SOURCE_DIST)) -print0 | LC_COLLATE=C sort -z | \
		xargs -0 $(ZIP) $(ZIP_V) $@

clean:: clean-source-dist

clean-source-dist:
	$(gen_verbose) rm -rf -- $(SOURCE_DIST_BASE)-*

package: dist
	cp $(DIST_DIR)/*.ez $(PACKAGES_DIR)

=== deps/mochiweb/Makefile ===
IGNORE_DEPS += edown eper eunit_formatters meck node_package rebar_lock_deps_plugin rebar_vsn_plugin reltool_util
C_SRC_DIR = /path/do/not/exist
C_SRC_TYPE = rebar
DRV_CFLAGS = -fPIC
export DRV_CFLAGS
ERLANG_ARCH = 64
export ERLANG_ARCH
ERLC_OPTS = +debug_info
export ERLC_OPTS

COMPILE_FIRST +=


rebar_dep: preprocess pre-deps deps pre-app app

preprocess::

pre-deps::

pre-app::

include ../../erlang.mk

=== deps/rabbit/Makefile ===
PROJECT = rabbit
VERSION ?= $(call get_app_version,src/$(PROJECT).app.src)

DEPS = ranch rabbit_common
TEST_DEPS = rabbitmq_ct_helpers amqp_client meck proper

define usage_xml_to_erl
$(subst __,_,$(patsubst $(DOCS_DIR)/rabbitmq%.1.xml, src/rabbit_%_usage.erl, $(subst -,_,$(1))))
endef

DOCS_DIR     = docs
MANPAGES     = $(patsubst %.xml, %, $(wildcard $(DOCS_DIR)/*.[0-9].xml))
WEB_MANPAGES = $(patsubst %.xml, %.man.xml, $(wildcard $(DOCS_DIR)/*.[0-9].xml) $(DOCS_DIR)/rabbitmq-service.xml $(DOCS_DIR)/rabbitmq-echopid.xml)
USAGES_XML   = $(DOCS_DIR)/rabbitmqctl.1.xml $(DOCS_DIR)/rabbitmq-plugins.1.xml
USAGES_ERL   = $(foreach XML, $(USAGES_XML), $(call usage_xml_to_erl, $(XML)))

EXTRA_SOURCES += $(USAGES_ERL)

.DEFAULT_GOAL = all
$(PROJECT).d:: $(EXTRA_SOURCES)

DEP_PLUGINS = rabbit_common/mk/rabbitmq-build.mk \
	      rabbit_common/mk/rabbitmq-run.mk \
	      rabbit_common/mk/rabbitmq-dist.mk \
	      rabbit_common/mk/rabbitmq-tools.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

# --------------------------------------------------------------------
# Compilation.
# --------------------------------------------------------------------

RMQ_ERLC_OPTS += -I $(DEPS_DIR)/rabbit_common/include

ifdef INSTRUMENT_FOR_QC
RMQ_ERLC_OPTS += -DINSTR_MOD=gm_qc
else
RMQ_ERLC_OPTS += -DINSTR_MOD=gm
endif

ifdef CREDIT_FLOW_TRACING
RMQ_ERLC_OPTS += -DCREDIT_FLOW_TRACING=true
endif

ifndef USE_PROPER_QC
# PropEr needs to be installed for property checking
# http://proper.softlab.ntua.gr/
USE_PROPER_QC := $(shell $(ERL) -eval 'io:format({module, proper} =:= code:ensure_loaded(proper)), halt().')
RMQ_ERLC_OPTS += $(if $(filter true,$(USE_PROPER_QC)),-Duse_proper_qc)
endif

clean:: clean-extra-sources

clean-extra-sources:
	$(gen_verbose) rm -f $(EXTRA_SOURCES)

# --------------------------------------------------------------------
# Documentation.
# --------------------------------------------------------------------

# xmlto can not read from standard input, so we mess with a tmp file.
%: %.xml $(DOCS_DIR)/examples-to-end.xsl
	$(gen_verbose) xmlto --version | \
	    grep -E '^xmlto version 0\.0\.([0-9]|1[1-8])$$' >/dev/null || \
	    opt='--stringparam man.indent.verbatims=0' ; \
	xsltproc --novalid $(DOCS_DIR)/examples-to-end.xsl $< > $<.tmp && \
	xmlto -vv -o $(DOCS_DIR) $$opt man $< 2>&1 | (grep -v '^Note: Writing' || :) && \
	test -f $@ && \
	rm $<.tmp

# Use tmp files rather than a pipeline so that we get meaningful errors
# Do not fold the cp into previous line, it's there to stop the file being
# generated but empty if we fail
define usage_dep
$(call usage_xml_to_erl, $(1)):: $(1) $(DOCS_DIR)/usage.xsl
	$$(gen_verbose) xsltproc --novalid --stringparam modulename "`basename $$@ .erl`" \
	    $(DOCS_DIR)/usage.xsl $$< > $$@.tmp && \
	sed -e 's/"/\\"/g' -e 's/%QUOTE%/"/g' $$@.tmp > $$@.tmp2 && \
	fold -s $$@.tmp2 > $$@.tmp3 && \
	mv $$@.tmp3 $$@ && \
	rm $$@.tmp $$@.tmp2
endef

$(foreach XML,$(USAGES_XML),$(eval $(call usage_dep, $(XML))))

# We rename the file before xmlto sees it since xmlto will use the name of
# the file to make internal links.
%.man.xml: %.xml $(DOCS_DIR)/html-to-website-xml.xsl
	$(gen_verbose) cp $< `basename $< .xml`.xml && \
	    xmlto xhtml-nochunks `basename $< .xml`.xml ; \
	rm `basename $< .xml`.xml && \
	cat `basename $< .xml`.html | \
	    xsltproc --novalid $(DOCS_DIR)/remove-namespaces.xsl - | \
	      xsltproc --novalid --stringparam original `basename $<` $(DOCS_DIR)/html-to-website-xml.xsl - | \
	      xmllint --format - > $@ && \
	rm `basename $< .xml`.html

.PHONY: manpages web-manpages distclean-manpages

docs:: manpages web-manpages

manpages: $(MANPAGES)
	@:

web-manpages: $(WEB_MANPAGES)
	@:

distclean:: distclean-manpages

distclean-manpages::
	$(gen_verbose) rm -f $(MANPAGES) $(WEB_MANPAGES)

=== deps/rabbit_common/Makefile ===
PROJECT = rabbit_common

BUILD_DEPS = rabbitmq_codegen
TEST_DEPS = mochiweb proper

.DEFAULT_GOAL = all

EXTRA_SOURCES += include/rabbit_framing.hrl				\
		 src/rabbit_framing_amqp_0_8.erl			\
		 src/rabbit_framing_amqp_0_9_1.erl

.DEFAULT_GOAL = all
$(PROJECT).d:: $(EXTRA_SOURCES)

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include mk/rabbitmq-components.mk
include erlang.mk
include mk/rabbitmq-build.mk
include mk/rabbitmq-dist.mk
include mk/rabbitmq-tools.mk

# --------------------------------------------------------------------
# Compilation.
# --------------------------------------------------------------------

# $(ERTS_VER) is set in `rabbitmq-build.mk` above.
tls_atom_version_MAX_ERTS_VER = 6.0
ifeq ($(call compare_version,$(ERTS_VER),$(tls_atom_version_MAX_ERTS_VER),<),true)
RMQ_ERLC_OPTS += -Ddefine_tls_atom_version
endif

# --------------------------------------------------------------------
# Framing sources generation.
# --------------------------------------------------------------------

PYTHON       ?= python
CODEGEN       = $(CURDIR)/codegen.py
CODEGEN_DIR  ?= $(DEPS_DIR)/rabbitmq_codegen
CODEGEN_AMQP  = $(CODEGEN_DIR)/amqp_codegen.py

AMQP_SPEC_JSON_FILES_0_8   = $(CODEGEN_DIR)/amqp-rabbitmq-0.8.json
AMQP_SPEC_JSON_FILES_0_9_1 = $(CODEGEN_DIR)/amqp-rabbitmq-0.9.1.json	\
			     $(CODEGEN_DIR)/credit_extension.json

include/rabbit_framing.hrl:: $(CODEGEN) $(CODEGEN_AMQP) \
    $(AMQP_SPEC_JSON_FILES_0_9_1) $(AMQP_SPEC_JSON_FILES_0_8)
	$(gen_verbose) env PYTHONPATH=$(CODEGEN_DIR) \
	 $(PYTHON) $(CODEGEN) --ignore-conflicts header \
	 $(AMQP_SPEC_JSON_FILES_0_9_1) $(AMQP_SPEC_JSON_FILES_0_8) $@

src/rabbit_framing_amqp_0_9_1.erl:: $(CODEGEN) $(CODEGEN_AMQP) \
    $(AMQP_SPEC_JSON_FILES_0_9_1)
	$(gen_verbose) env PYTHONPATH=$(CODEGEN_DIR) \
	 $(PYTHON) $(CODEGEN) body $(AMQP_SPEC_JSON_FILES_0_9_1) $@

src/rabbit_framing_amqp_0_8.erl:: $(CODEGEN) $(CODEGEN_AMQP) \
    $(AMQP_SPEC_JSON_FILES_0_8)
	$(gen_verbose) env PYTHONPATH=$(CODEGEN_DIR) \
	 $(PYTHON) $(CODEGEN) body $(AMQP_SPEC_JSON_FILES_0_8) $@

clean:: clean-extra-sources

clean-extra-sources:
	$(gen_verbose) rm -f $(EXTRA_SOURCES)

=== deps/rabbitmq_amqp1_0/Makefile ===
PROJECT = rabbitmq_amqp1_0

DEPS = rabbit_common rabbit amqp_client
TEST_DEPS = rabbitmq_ct_helpers

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

EXTRA_SOURCES += include/rabbit_amqp1_0_framing.hrl \
		 src/rabbit_amqp1_0_framing0.erl

.DEFAULT_GOAL = all
$(PROJECT).d:: $(EXTRA_SOURCES)

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

# --------------------------------------------------------------------
# Framing sources generation.
# --------------------------------------------------------------------

PYTHON       ?= python
CODEGEN       = $(CURDIR)/codegen.py
CODEGEN_DIR  ?= $(DEPS_DIR)/rabbitmq_codegen
CODEGEN_AMQP  = $(CODEGEN_DIR)/amqp_codegen.py
CODEGEN_SPECS = spec/messaging.xml spec/security.xml spec/transport.xml \
		spec/transactions.xml

include/rabbit_amqp1_0_framing.hrl:: $(CODEGEN) $(CODEGEN_AMQP) \
    $(CODEGEN_SPECS)
	$(gen_verbose) env PYTHONPATH=$(CODEGEN_DIR) \
	  $(PYTHON) $(CODEGEN) hrl $(CODEGEN_SPECS) > $@

src/rabbit_amqp1_0_framing0.erl:: $(CODEGEN) $(CODEGEN_AMQP) \
    $(CODEGEN_SPECS)
	$(gen_verbose) env PYTHONPATH=$(CODEGEN_DIR) \
	  $(PYTHON) $(CODEGEN) erl $(CODEGEN_SPECS) > $@

clean:: clean-extra-sources

clean-extra-sources:
	$(gen_verbose) rm -f $(EXTRA_SOURCES)

distclean:: distclean-dotnet-tests distclean-java-tests

distclean-dotnet-tests:
	$(gen_verbose) cd test/system_SUITE_data/dotnet-tests && \
		rm -rf bin obj && \
		rm -f project.lock.json TestResult.xml

distclean-java-tests:
	$(gen_verbose) cd test/system_SUITE_data/java-tests && mvn clean

=== deps/rabbitmq_auth_backend_ldap/Makefile ===
PROJECT = rabbitmq_auth_backend_ldap

DEPS = rabbit_common rabbit
TEST_DEPS = ct_helper rabbitmq_ct_helpers amqp_client
dep_ct_helper = git https://github.com/extend/ct_helper.git master

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

=== deps/rabbitmq_auth_mechanism_ssl/Makefile ===
PROJECT = rabbitmq_auth_mechanism_ssl

DEPS = rabbit_common rabbit

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

=== deps/rabbitmq_consistent_hash_exchange/Makefile ===
PROJECT = rabbitmq_consistent_hash_exchange

DEPS = rabbit_common rabbit
TEST_DEPS = rabbitmq_ct_helpers amqp_client

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

=== deps/rabbitmq_event_exchange/Makefile ===
PROJECT = rabbitmq_event_exchange

DEPS = rabbit_common rabbit
TEST_DEPS = rabbitmq_ct_helpers amqp_client

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.
ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

=== deps/rabbitmq_federation/Makefile ===
PROJECT = rabbitmq_federation

DEPS = rabbit_common rabbit amqp_client
TEST_DEPS = rabbitmq_ct_helpers

DEP_PLUGINS = rabbit_common/mk/rabbitmq-plugin.mk

# FIXME: Use erlang.mk patched for RabbitMQ, while waiting for PRs to be
# reviewed and merged.

ERLANG_MK_REPO = https://github.com/rabbitmq/erlang.mk.git
ERLANG_MK_COMMIT = rabbitmq-tmp

include rabbitmq-components.mk
include erlang.mk

=== debian/changelog ===
rabbitmq-server (3.6.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * New upstream release (Closes: #849849, CVE-2016-9877)
  * d/copyright: Fixed for new release
  * d/ocf: Removed, use upstream one

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 02 Jan 2017 15:49:03 +0100

rabbitmq-server (3.6.5-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release (Closes: #812377):
    - Builds fine with the new erlang (Closes: #837241).
  * [fa2d29e] Update watch file for upstream xz compression. (Closes: #813628).
  * [b008e08] Imported Upstream version 3.6.0.
  * [d0dc477] Update gbp configuration for dch use.

  [ Thomas Goirand ]
  * Also packaging the rabbitmqadmin cli.
  * Do not do dh_auto_clean, as it removes all the deps folder.
  * Disabled tests, as they download from github.
  * Replaced git-core transition package by git in build-depends.
  * Added rsync as build-depends-indep.
  * Fix DESTDIR=$(DEB_DESTDIR) PREFIX=/usr as upstream Makefile changed.
  * Added python-all and dh-python as build-depends.
  * Update of debian/copyright for the new deps/* path from upstream, updated
    debian/* info and fixed order.
  * Copy some stuff from the upstream pacakging in debian/rules.
  * Runtime depends on lsb-base.
  * Overrides lintian false positive error js source missing.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Fixed python shebang.
  * Standards-Version is 3.9.8 now (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Feb 2016 13:35:22 +0800

=== debian/watch ===
version=3
http://www.rabbitmq.com/releases/rabbitmq-server/v(.*)/rabbitmq-server-(\d.*)\.tar\.xz

## rabbitmq-server 3.6.6+really3.8.9

=== debian/changelog ===
rabbitmq-server (3.6.6+really3.8.9-0+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * New upstream version which is compatible with Erlang 23.3.4.18.

 -- Markus Koschany <apo@debian.org>  Sat, 26 Nov 2022 00:03:01 +0100

rabbitmq-server (3.8.9-3) unstable; urgency=medium

  [ Adam Cecile ]
  * Merge upstream PR #2965 fixing rabbitmqctl parsing bug. (Closes: #986734)

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Apr 2021 22:59:57 +0200

rabbitmq-server (3.8.9-2) unstable; urgency=medium

  * Do not use the /usr/sbin/rabbitmq-server wrapper in systemd service file
    (Closes: #947873).
  * Use logrotate daily instead of weekly, and do not override the number of
    logs, so we don't keep too much of them.
  * Do not use a sharedscripts, as rabbitmq-server detects the log rotation
    by itself (LP: #1921425).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 14:24:52 +0100

rabbitmq-server (3.8.9-1) unstable; urgency=medium

  * New upstream release.
  * Rebased lets-use-python3-not-python-binary.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:30:46 +0200

rabbitmq-server (3.8.5-1) unstable; urgency=medium

  * New upstream release:
    - Ships new version of the Prometheus plugin that works with Erlang
      version 23 (Closes: #964038).
  * Re-add debian/gbp.conf as the package is using pristine-tar.
  * Rebased lets-use-python3-not-python-binary.patch.
  * Add rabbitmq-dist.mk.patch to fix build with make 4.3 (Closes: #964636).

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2020 12:57:57 +0200

rabbitmq-server (3.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Resolve issues with startup of RabbitMQ with erlang provided
    epmd daemon. See Ubuntu bug:
    https://bugs.launchpad.net/ubuntu/+source/rabbitmq-server/+bug/1808766

  [ James Page ]
  * Merge changes from Ubuntu.
  * New upstream release (3.8.2):
    - d/rules: Install new scripts.
  * d/rules: Drop --parallel usage, no longer needed.
  * d/control: Bump minimum erlang version inline with upstream
    requirements.

  [ Nicolas Bock ]
  * New upstream release (3.8.3).
  * d/watch: Fix watch file to download from GitHub
  * Fix timeout discrepancy between SysV and systemd (LP: #1874075)
    upstream, rabbitmq-server-release - 694540270c8
    - d/rabbitmq-server.init: Add RABBITMQ_STARTUP_TIMEOUT and default
      to 600.
    - d/rabbitmq-server.service: Default TimeoutStartSec to 600

  [ James Page ]
  * d/rules: Drop use of --with=systemd as its no longer needed.
  * d/rabbitmq-server.postinst,rabbitmq-server.postrm: Drop execute
    permission - debhelper deals with this as part of package build.
  * d/missing-sources: Add missing un-minified sources files for JS
    assets.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 May 2020 12:02:04 +0100

rabbitmq-server (3.7.18-1) unstable; urgency=medium

  * New upstream release.
    - Can be built with Elixir 1.9.x (Closes: #939881).
  * Re-add debian/gbp.conf, as this package must use pristine-tar.
  * Fix display of version when doing rabbitmqadmin --version. Used a different
    way from proposed patch which isn't invasive (Closes: #908690).
  * Using python3 as binary, not python (Closes: #883192).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 10:05:48 +0200

rabbitmq-server (3.7.8-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Also package rabbitmq-diagnostics.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2019 22:59:25 +0200

rabbitmq-server (3.7.8-4) unstable; urgency=medium

  * Remove Elixir version patch.
  * Build-depends on Elixir 1.6.6.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Oct 2018 08:28:31 +0000

rabbitmq-server (3.7.8-3) unstable; urgency=medium

  * Remove $LANG wrapper hack.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Oct 2018 10:25:25 +0100

rabbitmq-server (3.7.8-2) unstable; urgency=medium

  * Wrap rabbitmqctl to set $LANG and avoid warning.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Oct 2018 10:13:27 +0100

rabbitmq-server (3.7.8-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release:
    - Fix FTBFS with newer Erlang (Closes: #910623).
  * Fix the way to calculate upstream VERSION in debian/rules.
  * Switched rabbitmq-server.service to type notify, and other minor changes
    in this file (Closes: #812342), do not wait for timeout on shutdown either
    (Closes: #902136).
  * Updated debian/control for this release.
  * Bumped debhelper to 10.
  * Standards-Version is now 4.2.1.
  * Add patch to accept Elixir 1.6.5.
  * Also package manpages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Oct 2018 18:39:10 +0200

rabbitmq-server (3.6.10-1) unstable; urgency=medium

  * New upstream release (Closes: #863586), fixing multiple issues:
    - CVE-2017-4965: XSS vulnerabilities in management UI
    - CVE-2017-4966: authentication details are stored in browser-local storage
      without expiration
    - CVE-2017-4967: XSS vulnerabilities in management UI



=== debian/control ===
Source: rabbitmq-server
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 elixir (>= 1.3.3+really1.10.3),
 erlang-base (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-crypto (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-dev (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-edoc (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-eldap (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-erl-docgen (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-eunit (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-inets (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-mnesia (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-nox (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-os-mon (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-parsetools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-public-key (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-runtime-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-src (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-ssl (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-syntax-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-xmerl (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 locales-all,
 python3-all,
 python3-simplejson,
 rsync,
 unzip,
 xmlto,
 xsltproc,
 zip,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/rabbitmq-server
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/rabbitmq-server.git
Homepage: https://www.rabbitmq.com/

Package: rabbitmq-server
Architecture: all
Depends:
 adduser,
 erlang-base | erlang-base-hipe,
 erlang-crypto (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-eldap (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-inets (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-mnesia (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-os-mon (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-parsetools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-public-key (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-runtime-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-ssl (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-syntax-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-tools (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 erlang-xmerl (>= 1:19.2.1+dfsg-2+really23.3.4.18),
 locales-all,
 logrotate,
 lsb-base,
 socat,
 ${misc:Depends},
 ${python3:Depends},
Description: AMQP server written in Erlang
 RabbitMQ is an implementation of AMQP, the emerging standard for high
 performance enterprise messaging. The RabbitMQ server is a robust and
 scalable implementation of an AMQP broker.
